.c-pagination {
	gap: 1rem;
	align-items: center;
	margin: clamp(2.5rem, 1.786rem + 1.9vw, 3.5rem) 0 var(--g-sec--md) 0;
}

/* 全てのページャー */
.c-pagination .page-numbers {
	margin: 0;
	box-shadow: none;
	transition: var(--ani-t--normal) ease-out;
}

/* 「ドット」以外のページャー */
.c-pagination .page-numbers:not(.dots) {
	--pg-size: 3rem;
	height: var(--pg-size);
	line-height: var(--pg-size);
	min-width: var(--pg-size);
	border-radius: 4px;
	overflow: hidden;
	background: transparent;
	font-size: 1.25rem;
}

/* 「ドット」のページャー */
.c-pagination .page-numbers.dots {
	max-width: fit-content;
	min-width: auto;
	background-color: transparent;
	line-height: 0;
	font-size: 3rem;
	color: var(--c-blue--dark);
}

/* 「アクティブ」&&「ドット」以外のページャー */
.c-pagination .page-numbers:not(:is(.current, .dots)) {
	position: relative;
	font-weight: var(--fw-xl);
	color: var(--c-blue--dark);
}
/* グラデーション線 */
.c-pagination .page-numbers:not(:is(.current, .dots))::before {
	content: "";
	position: absolute;
	inset: 0;
	border-radius: 4px;
	border: 2px solid var(--c-blue--dark);
}

/* 「アクティブ」&&「ホバー時」のページャー */
.c-pagination .page-numbers:not(.dots).current,
.c-pagination .page-numbers:not(.dots):hover {
	background: var(--c-gradient--dark);
	font-weight: var(--fw-xl);
	color: var(--c-light);
}

.c-pagination .page-numbers:not(:is(.current, .dots)):hover::before {
	border-color: transparent;
}